GET api/CosEccSummary/GetAudiogramResultData?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfAudiogramResultDataDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | AudiogramResultDataDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"LeftHighSpeech": "sample string 2",
"RightHighSpeech": "sample string 3",
"LeftSpeechRange": "sample string 4",
"RightSpeechRange": "sample string 5",
"LeftHearingChange": "sample string 6",
"RightHearingChange": "sample string 7",
"LeftHighFrequencyAvg": 1.0,
"RightHighFrequencyAvg": 1.0,
"RightSpeechFrequencyAvg": 1.0,
"LeftSpeechFrequencyAvg": 1.0,
"LeftSTSWithAge": true,
"RightSTSWithAge": true,
"LeftSTSWithoutAge": true,
"RightSTSWithoutAge": true,
"ClinicName": "sample string 8",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:11.4923642-07:00",
"DateUpdated": "2026-08-04T14:29:11.4923642-07:00",
"UserIDCreated": 12,
"UserIDUpdated": 13,
"CompanyCode": "sample string 14",
"IsExcludeDiscount": true
},
"totalCount": 3
}